Subject: Re: linux-next: build failure after merge of the rdma tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 29 Sep 2016 07:45:43 +1000

Hi Doug,

On Wed, 28 Sep 2016 11:00:11 -0400 Doug Ledford <[email-masked]> wrote:
>
> That doesn't seem like a particularly good thing to put in.  Wouldn't
> you end up just reverting it later when they fix lustre?  And are you
> going to revert the revert when it breaks again and revert the revert of
> the revert when it's fixed again?  That just seems a lot of churn.  I
> thought it was generally accepted that things in staging might or might
> not work and if they don't, we don't care?  Am I wrong on that?

The allmodconfig build needs to work.  Linus does an allmodconfig build
as part of his testing ...

Part of the fix patch should reenable building of the currently broken code.
-- 
Cheers,
Stephen Rothwell